#ifndef FUNC
#define FUNC

#include <stdio.h>
#include <string.h>
#include <wchar.h>
#include <locale.h>
#define COL 10
#define ROW 10

#define inp printf("\nInput: ");
#define finp printf("\nFunction Input: ");

// GET
int mainget(void);
int buffinput(int *cell, int *inbuf, int *buff);

// MASSIVE
void seeMassive(int (*massive)[COL]);
void setMassive(int x, int (*massive)[COL]);
void func(int x, int (*massive)[COL]);
void func2(int x, int (*massive)[COL]);

// MENU
void helpMenu(void);
void setMenu(void);
void funcMenu(void);

// SPECIAL
void clear(void);
int flush(void);
int end(int c);

//Massive View
#define intervalincell 1
#define intervalx 2
#define intervaly 2
#define symb1 '*'
#define symb2 '*'
#define symb3 ' '

#endif
